package com.tofly.common.oauth.exception;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.tofly.common.oauth.compent.ToflyAuth2ExceptionSerializer;

/**
 * @author Administrator
 * @date 2019/9/12  14:02
 */
@JsonSerialize(using = ToflyAuth2ExceptionSerializer.class)
public class InvalidException extends ToflyAuth2Exception{
    public InvalidException(String msg, Throwable t) {
        super(msg);
    }

    @Override
    public String getOAuth2ErrorCode() {
        return "invalid_exception";
    }

    @Override
    public int getHttpErrorCode() {
        return 426;
    }
}
